Bug 198192 - [update] multimedia/livestreamer to 1.12.0
Summary: [update] multimedia/livestreamer to 1.12.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-multimedia mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-03-02 19:33 UTC by Radim Kolar
Modified: 2015-03-07 13:39 UTC (History)
1 user (show)

See Also:


Attachments
update to 1.12.0 (1.15 KB, patch)
2015-03-02 19:33 UTC, Radim Kolar
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Radim Kolar 2015-03-02 19:33:18 UTC
Created attachment 153679 [details]
update to 1.12.0

https://livestreamer.readthedocs.org/changelog.html#changelog

fixes problem with hitbox.tv

Version 1.12.0 (2015-03-01)

Bug fixes:

        Made HTTP modes more strict to avoid issues with mpv –yt-dl.
        Fixed --http-cookie option crash.

CLI:

        Added --can-handle-url option, useful for scripting.
        Added --version-check option to force a version check.
        Added a passive HTTP server mode (--player-external-http), patch by @danielkza. (#699)

Plugins:

        Added plugin for Disney Channel Germany, patch by @boekkooi. (#698)
        Added plugin for NOS (Nederlandse Omroep Stichting), patch by @boekkooi. (#697)
        Added plugin for tga.plu.cn, patch by @wolftankk. (#669)
        Added plugin for Wat.tv, patch by @boekkooi. (#701)
        Added plugin for afreeca.tv. (The old afreecatv plugin has been renamed to afreeca)
        chaturbate: Added support for subdomain URLs, patch by @GameWalker. (#676)
        connectcast: Updated for service changes, patch by @darvelo. (#722)
        dailymotion: Added support for games.dailymotion.com, patch by @daslicious. (#684)
        dommune: Fixed Youtube redirect URL.
        gaminglive: Updated for service changes, patch by @chhe. (#721)
        mlgtv: Updated for service changes, patch by @daslicious. (#686)
        hitbox: Updated for services changes. (#648)
        streamlive: Updated for service changes, patch by @daslicious. (#667)
        ustreamtv: Updated for service changes. (#707)
        youtube: Now handles more URL types.
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2015-03-03 03:07:23 UTC
Fix Summary and assign.
Comment 2 commit-hook freebsd_committer 2015-03-07 13:39:03 UTC
A commit references this bug:

Author: nox
Date: Sat Mar  7 13:38:58 UTC 2015
New revision: 380689
URL: https://svnweb.freebsd.org/changeset/ports/380689

Log:
  Update to 1.12.0 - changelog is here:

  	http://livestreamer.tanuki.se/en/latest/changelog.html#changelog

  PR:		198192
  Submitted by:	Radim Kolar <hsn@sendmail.cz>

Changes:
  head/multimedia/livestreamer/Makefile
  head/multimedia/livestreamer/distinfo
Comment 3 Juergen Lock freebsd_committer 2015-03-07 13:39:37 UTC
Committed.  Thanks!